Loading...
Searching...
No Matches
VPBREG Struct Reference
Internal API functions » Hardware registry

The DSP program "registry" info for each board. More...

`#include <vpbreg.h>`

Collaboration diagram for VPBREG:

## Public Types

typedef std::vector< VPBREG > | List
| Container type for all registered boards.

## Public Attributes

DSP data
Data in this block is stored in the same format on the DSP
uint16_t | data
| data reg for PC-DSP comms
uint16_t | numch
| number of channels
uint16_t | chstat [MAXCH]
| status of each channel
uint16_t | a_dnmess
| addr of "down" message FIFO in DSP
uint16_t | a_upmess
| addr of "up" message FIFO in DSP
uint16_t | szmess
| size in words of message FIFOs
uint16_t | a_rxdf [MAXCH]
| addresses of RX FIFOs in DSP
uint16_t | a_txdf [MAXCH]
| addresses of TX FIFOs in DSP
uint16_t | szrxdf [MAXCH]
| size of RX FIFOs in DSP
uint16_t | sztxdf [MAXCH]
| size of TX FIFOs in DSP
uint16_t | lsf
| length of superframe in words
PC specific info
uint16_t | base
| base address of VPB
Fifo * | dnmess
| ptr to down message DSP FIFO in PC
Fifo * | upmess
| ptr to down message DSP FIFO in PC
Fifo * | rxdf [MAXCH]
| ptrs to RX DSP FIFO info in PC
Fifo * | txdf [MAXCH]
| ptrs to TX DSP FIFO info in PC
VPB_MODEL | model
| VPB model.
uint16_t | ddmodel
| VPB Device Driver model.
float | defRecordGain
| default record (Tx) gain
float | defPlayGain
| default play (Rx) gain
float | defSRecordGain
| default record (Tx) gain for station
float | defSPlayGain
| default play (Rx) gain for station
uint16_t | defbal1
| default codec balance register 1
uint16_t | defbal2
| default codec balance register 2
uint16_t | defbal3
| default codec balance register 3
uint16_t | defSbal1
| default codec balance register 1 for station
uint16_t | defSbal2
| default codec balance register 2 for station
uint16_t | defSbal3
| default codec balance register 3 for station
char | mdate [12]
| Manufacture Date.
char | revision [8]
| Revision number.
char | serial_n [10]
| Serial Number.
float | defRecordGainDown
| record gain down control for better DTMF
std::vector< int > | handles
| lookup table of the handles for each port.
int | cardnum
| The number of the card as opened by the driver.
int | cardtypnum
| The number of the card of this type.
Country::List | country
| Pointers to country specific data for each port.
ToneGen::List | toneg
| Pointers to `ToneGen` instances for each port.
struct { |
int chan |
| listening port number
int board |
| listening board number
} | listen_info [MAXCH]
| Used to keep a track of the listens.
struct TD ** | toned
| Pointer to Tone detector state variables.
void * | chans
| Pointer to Channel state variables.
HostDSP * | hostdsp
| Pointer to the Host DSP object.
void * | cardinfo
| Pointer to Conf Info section for this card.
bool | useconf
| Flag `true` if a config file was read.

## Detailed Description

The DSP program "registry" info for each board.